﻿<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
    <title>BlazorChat</title>
    <base href="/" />
    <link href="css/bootstrap/bootstrap.min.css" rel="stylesheet" />
    <link href="css/site.css" rel="stylesheet" />
    <link href="manifest.json" rel="manifest" />
    <link rel="apple-touch-icon" sizes="512x512" href="icon-512.png" />

    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css" rel="stylesheet">


    <script src="https://code.jquery.com/jquery-1.11.3.min.js"></script>
    <link rel="stylesheet" href="/css/emoji/emojionearea.min.css">
    <script type="text/javascript" src="/js/emoji/emojionearea.min.js"></script>
    <script src="/js/inputfile/inputfile.js"></script>

</head>

<body>
    <app>Loading...</app>

    <script src="_content/Microsoft.AspNetCore.Components.WebAssembly.Authentication/AuthenticationService.js"></script>
    <script src="_framework/blazor.webassembly.js"></script>
    <script>navigator.serviceWorker.register('service-worker.published.js');</script>

    <script type="text/javascript">
        var el;
        function InitPage() {
            el = $("#emojiable").emojioneArea();
        }

        function readEmojiText() {
            return el[0].emojioneArea.getText()
        }

        function readEmojiClearText() {
            el[0].emojioneArea.setText('')
        }
        function setMessageInLocalStorage(messages) {
            localStorage.setItem('list-data', messages)
        }

        function getMessageInLocalStorage() {
            return localStorage.getItem('list-data')
        }

        function setText(text) {
            console.log(text)
        }

        function alertOffline() {
            alert("you are in offline mode!please connect to internet")
        }
    </script>

</body>

</html>
